package com.keyborad.theme.trendyborad.trendykeyboardhelper;



import java.util.ArrayList;
import java.util.List;

public class TrendyResponseLayout {
    private String name;
    private List<TrendyKeyModel> trendyKeyModels = new ArrayList<>();


    public TrendyResponseLayout(String name) {
        this.name = name;
    }

    // Getters and Setters
    public String getName() {
        return name;
    }

    public List<TrendyKeyModel> getKeys() {
        return trendyKeyModels;
    }

    public void addKey(TrendyKeyModel trendyKeyModel) {
        this.trendyKeyModels.add(trendyKeyModel);
    }

    public TrendyKeyModel getLastKey() {
        return trendyKeyModels.isEmpty() ? null : trendyKeyModels.get(trendyKeyModels.size() - 1);
    }


}